/* SPDX-FileCopyrightText: 2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef EXPORTFORMATTINGPAGE_H
#define EXPORTFORMATTINGPAGE_H

// Local includes
#include "shared/AbstractSettingsPage.h"

// Qt classes
class QCheckBox;
class QRadioButton;

class ExportFormattingPage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    enum UnimportantGoalsHandling {
        Display,
        Brace,
        Hide
    };

    explicit ExportFormattingPage(const QString &boogerSymbol, QWidget *parent = nullptr);
    void saveSettings() override;

    bool exportHeadlines() const;
    bool exportSubHeadlines() const;
    bool displayBoogers() const;
    UnimportantGoalsHandling unimportantGoalsHandling() const;

private: // Variables
    QCheckBox *m_exportHeadlines;
    QCheckBox *m_exportSubHeadlines;
    QCheckBox *m_displayBoogers;
    QRadioButton *m_displayUnimportantGoals;
    QRadioButton *m_braceUnimportantGoals;
    QRadioButton *m_hideUnimportantGoals;

};

#endif // EXPORTFORMATTINGPAGE_H
