/* SPDX-FileCopyrightText: 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

// Local includes
#include "MacOSApplication.h"

// Qt includes
#include <QApplication>
#include <QFileOpenEvent>

MacOSApplication::MacOSApplication(int &argc, char **argv) : QApplication(argc, argv)
{
}

bool MacOSApplication::event(QEvent *event)
{
    if (event->type() == QEvent::FileOpen) {
        QFileOpenEvent *openEvent = static_cast<QFileOpenEvent *>(event);
        emit fileOpenRequested(openEvent->file());
    }

    return QApplication::event(event);
}
