/* SPDX-FileCopyrightText: 2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef BASICSETTINGSPAGE_H
#define BASICSETTINGSPAGE_H

// Local includes
#include "shared/AbstractSettingsPage.h"

// Local classes

class TournamentSettings;

namespace TournamentTemplate
{
struct Settings;
}

// Qt classes
class QLabel;
class QRadioButton;
class QSpinBox;

class BasicSettingsPage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    explicit BasicSettingsPage(const TournamentTemplate::Settings &tournamentTemplate,
                               TournamentSettings *tournamentSettings,
                               QWidget *parent = nullptr);
    void saveSettings() override;

signals:
    void singlePlayersModeSelected(bool state);

public slots:
    void extendedOptionsToggled(bool state);

private: // Variables
    TournamentSettings *m_tournamentSettings;
    QRadioButton *m_fixedPairs;
    QRadioButton *m_singlePlayers;
    QSpinBox *m_boogersPerRound;
    QSpinBox *m_boogerScore;
    QLabel *m_advancedOptionsLabel;

};

#endif // BASICSETTINGSPAGE_H
