/* SPDX-FileCopyrightText: 2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef DRAWSETTINGSPAGE_H
#define DRAWSETTINGSPAGE_H

// Local includes
#include "shared/AbstractSettingsPage.h"

// Local classes

class TournamentSettings;
class DrawSettingsWidget;

namespace TournamentTemplate
{
struct Settings;
}

class DrawSettingsPage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    explicit DrawSettingsPage(const TournamentTemplate::Settings &tournamentTemplate,
                              TournamentSettings *tournamentSettings,
                              QWidget *parent = nullptr);
    void saveSettings() override;

signals:
    void linkActivated(const QString &anchor);

private: // Variables
    TournamentSettings *m_tournamentSettings;
    DrawSettingsWidget *m_drawSettingsWidget;

};

#endif // DRAWSETTINGSPAGE_H
