/* SPDX-FileCopyrightText: 2010-2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef NEWTOURNAMENTDIALOG_H
#define NEWTOURNAMENTDIALOG_H

// Local includes
#include "shared/FileDialog.h"

// Local classes
class SharedObjects;
class Database;
class Settings;
class TournamentSettings;
class StackedWidgetList;
class OptionalPagesPage;

// Qt classes
class QCheckBox;

class NewTournamentDialog : public FileDialog
{
    Q_OBJECT

public:
    explicit NewTournamentDialog(QWidget *parent, SharedObjects *sharedObjects);

signals:
    void reopenLastOpenedDb(const QString &lastDbPath);

private slots:
    void accept() override;
    void setExtendedOptionsVisible(int state);
    void processActivatedLink(const QString &anchor);

private: // Variables
    SharedObjects *m_sharedObjects;
    Database *m_db;
    Settings *m_settings;
    TournamentSettings *m_tournamentSettings;
    StackedWidgetList *m_stackedWidgetList;
    QCheckBox *m_saveTemplate;

    OptionalPagesPage *m_optionalPagesPage;

};

#endif // NEWTOURNAMENTDIALOG_H
