/* SPDX-FileCopyrightText: 2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef OPTIONALPAGESPAGE_H
#define OPTIONALPAGESPAGE_H

// Local includes
#include "shared/AbstractSettingsPage.h"

// Local classes

class TournamentSettings;

namespace TournamentTemplate
{
struct Settings;
}

// Qt classes
class QCheckBox;

class OptionalPagesPage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    explicit OptionalPagesPage(const TournamentTemplate::Settings &tournamentTemplate,
                               TournamentSettings *tournamentSettings,
                               QWidget *parent = nullptr);
    void saveSettings() override;

signals:
    void drawOverviewPageSelected(bool state);

public slots:
    void showDrawOverviewPage();

private: // Variables
    TournamentSettings *m_tournamentSettings;
    QCheckBox *m_drawOverviewPage;

};

#endif // OPTIONALPAGESPAGE_H
