/* SPDX-FileCopyrightText: 2018-2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef PLAYERSCOMBOBOX_H
#define PLAYERSCOMBOBOX_H

// Local includes
#include "NumbersComboBox.h"

// Local classes
class SearchEngine;
class PlayersLineEdit;

// Qt classes
class QStringListModel;

class PlayersComboBox : public NumbersComboBox
{
    Q_OBJECT

public:
    explicit PlayersComboBox(SearchEngine *searchEngine, int index, QWidget *parent = nullptr);

signals:
    void disableSaveScore();
    void checkSavePossible();
    void selectionChanged(int pair, int pairId);

public slots:
    void lineEditTextChanged(const QString &text);
    void setPhoneticSearch(bool state);

private slots:
    void resetLineEditText();
    void completerActivated(const QString &text);
    void processGivenText();
    void popupHidden();
    void finishSearch();

private: // Variables
    SearchEngine *m_searchEngine;
    const int m_index;
    PlayersLineEdit *m_lineEdit;
    QStringListModel *m_matches;
    bool m_isSearching;
    bool m_completerActivated;
    bool m_phoneticSearch = false;

};

#endif // PLAYERSCOMBOBOX_H
