/* SPDX-FileCopyrightText: 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef NETWORKPAGE_H
#define NETWORKPAGE_H

// Local includes
#include "shared/AbstractSettingsPage.h"

// Local classes
class Settings;

// Qt classes
class QSpinBox;
class QCheckBox;

class NetworkPage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    explicit NetworkPage(Settings *settings, QWidget *parent = nullptr);
    void saveSettings() override;

private slots:
    void restoreDefaultValues();

private: // Variables
    Settings *m_settings;
    QSpinBox *m_serverPort;
    QSpinBox *m_connectTimeout;
    QSpinBox *m_requestTimeout;
    QSpinBox *m_discoverPort;
    QSpinBox *m_discoverTimeout;
    QSpinBox *m_discoverAttempts;
    QCheckBox *m_preferIpv6;

};

#endif // NETWORKPAGE_H
