/* SPDX-FileCopyrightText: 2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

// Local includes
#include "ChecksumEngine.h"

// Qt includes
#include <QDebug>

ChecksumEngine::ChecksumEngine(QObject *parent) : QObject(parent)
{
}

void ChecksumEngine::updateChecksum(const QString &checksum, ChecksumEngine::Type type)
{
    m_singleChecksums[type] = checksum;

    m_checksum.clear();
    const auto checksums = m_singleChecksums.values();
    for (const QString &checksum : checksums) {
        m_checksum.append(checksum);
    }
}

const QString &ChecksumEngine::checksum() const
{
    return m_checksum;
}
