/* SPDX-FileCopyrightText: 2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef CHECKSUMENGINE_H
#define CHECKSUMENGINE_H

// Qt includes
#include <QObject>
#include <QMap>

class ChecksumEngine : public QObject
{
    Q_OBJECT

public:
    enum Type {
        Registration,
        Score
    };

    explicit ChecksumEngine(QObject *parent);

public:
    const QString &checksum() const;

public slots:
    void updateChecksum(const QString &checksum, ChecksumEngine::Type type);

private: // Variables
    QMap<Type, QString> m_singleChecksums;
    QString m_checksum;

};

#endif // CHECKSUMENGINE_H
