/* SPDX-FileCopyrightText: 2018-2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef LOGDISPLAY_H
#define LOGDISPLAY_H

// Qt includes
#include <QPlainTextEdit>

class LogDisplay : public QPlainTextEdit
{
    Q_OBJECT

public:
    explicit LogDisplay(QWidget *parent = nullptr);

public slots:
    void displayMessage(const QString &text);
    void displayProtocolError(const QString &text);

private: // Functions
    QString currentTime();
    void scrollToBottom();

};

#endif // LOGDISPLAY_H
