/* SPDX-FileCopyrightText: 2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef DEFEATABLEMESSAGEBOX_H
#define DEFEATABLEMESSAGEBOX_H


// Local includes
#include "DefeatableMessageBoxes.h"

// Qt includes
#include <QObject>
#include <QHash>
#include <QMessageBox>

// Qt classes
class QWidget;

class DefeatableMessageBox : public QObject
{
    Q_OBJECT

public:
    explicit DefeatableMessageBox(QObject *parent);
    bool dontAsk(DefeatableMessageBoxes::BoxId id) const;
    void setDontAsk(DefeatableMessageBoxes::BoxId id, bool state);
    QMessageBox::StandardButton show(DefeatableMessageBoxes::BoxId id, QWidget *parent,
                                     const QString &title, const QString &text,
                                     QMessageBox::StandardButton defaultButton = QMessageBox::Yes);

private:
    QHash<DefeatableMessageBoxes::BoxId, bool> m_dontAsk;

};

#endif // DEFEATABLEMESSAGEBOX_H
