/* SPDX-FileCopyrightText: 2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

// Local includes
#include "IconButton.h"
#include "SharedObjects.h"
#include "IconSizeEngine.h"
#include "ResourceFinder.h"

IconButton::IconButton(SharedObjects *sharedObjects, const QString &icon, QWidget *parent)
    : QToolButton(parent)
{
    setCheckable(true);
    setStyleSheet(QStringLiteral("QToolButton { padding: 2px; }"));
    setIconSize(sharedObjects->iconSizeEngine()->relativeSize(1.0));
    setIcon(QIcon(sharedObjects->resourceFinder()->find(icon)));
}
