/* SPDX-FileCopyrightText: 2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef MARKERS_H
#define MARKERS_H

#include <QString>
#include <QColor>
#include <QVector>

namespace Markers
{

// Combo boxes / types

enum Type {
    Default,
    Drawn,
    Absent,
    Single,
    Assigned
};

// Markers

enum MarkerSorting {
    NewBlock,
    Merged
};

struct Marker
{
    int id;
    QString name;
    QColor color;
    MarkerSorting sorting;
};

// Singles Management

constexpr int singlesManagementVersion = 1;

struct SinglesManagement
{
    bool enabled;
    int singleMarker;
    bool markSingles;
    QString conditionString;
    int condition;
    int assignedMarker;
};

const SinglesManagement defaultSinglesManagement {
    false,               // enabled
    0,                   // singleMarker
    false,               // markSingles
    QStringLiteral("/"), // conditionString
    0,                   // condition
    0                    // assignedMarker
};

}

#endif // MARKERS_H
