/* SPDX-FileCopyrightText: 2018-2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef SHAREDOBJECTS_H
#define SHAREDOBJECTS_H

// Qt includes
#include <QObject>

// Local classes
class StringTools;
class SearchEngine;
class Database;
class ResourceFinder;
class Settings;
class TournamentSettings;
class DefeatableMessageBox;
class IconSizeEngine;

class SharedObjects : public QObject
{
    Q_OBJECT

public:
    explicit SharedObjects(QObject *parent = nullptr);
    StringTools *stringTools() const;
    SearchEngine *searchEngine() const;
    ResourceFinder *resourceFinder() const;
    Database *database() const;
    Settings *settings() const;
    TournamentSettings *tournamentSettings() const;
    DefeatableMessageBox *defeatableMessageBox() const;
    IconSizeEngine *iconSizeEngine() const;

private: // Variables
    StringTools *m_stringTools;
    SearchEngine *m_searchEngine;
    Database *m_database;
    ResourceFinder *m_resourceFinder;
    Settings *m_settings;
    TournamentSettings *m_tournamentSettings;
    DefeatableMessageBox *m_defeatableMessageBox;
    IconSizeEngine *m_iconSizeEngine;

};

#endif // SHAREDOBJECTS_H
